Bug 172893 - clulockd hang causes infinite timeout loop from connecting clients
clulockd hang causes infinite timeout loop from connecting clients
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: clumanager (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks: 172895
  Show dependency treegraph
 
Reported: 2005-11-10 16:34 EST by Lon Hohberger
Modified: 2009-04-16 16:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0196
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-27 13:06:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes signal handling (2.75 KB, patch)
2005-11-10 16:34 EST, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Lon Hohberger 2005-11-10 16:34:46 EST
Description of problem:

If signals occur quickly in sequence, it's possible for clulockd to deadlock
during a reconfiguration.


Version-Release number of selected component (if applicable):


How reproducible: 100%



Steps to Reproduce:
1.  service clumanager start
2.  while [ 0 ]; do killall -HUP clulockd; done

  
Actual results:

clulockd hangs, and causes timeout errors for connecting 


Expected results:

Normal operation.


Additional info:

Under high load conditions, an occasional timeout warning may occur; this is not
a cause for alarm.
Comment 1 Lon Hohberger 2005-11-10 16:34:46 EST
Created attachment 120908 [details]
Fixes signal handling
Comment 2 Lon Hohberger 2005-11-10 16:36:32 EST
Setting to modified
Comment 3 Lon Hohberger 2005-11-11 15:58:16 EST
A new *TEST* package build with several bugfixes (fixes bugzillas: 171637 172735
172893 172894 ) is available.  Gulm-bridge support has been disabled in this
release to prevent having to install with the "--nodeps" option:

http://people.redhat.com/lhh/clumanager-1.2.28.6-0.1nogfs.i386.rpm
http://people.redhat.com/lhh/clumanager-1.2.28.6-0.1nogfs.x86_64.rpm
http://people.redhat.com/lhh/clumanager-1.2.28.6-0.1nogfs.src.rpm

Let us know if this works for you.
Comment 7 Red Hat Bugzilla 2006-03-27 13:06:50 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0196.html

Note You need to log in before you can comment on or make changes to this bug.